package com.goafanti.common.dao;

import com.goafanti.common.model.WorkingHours;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WorkingHoursMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(WorkingHours record);

    int insertSelective(WorkingHours record);

    WorkingHours selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(WorkingHours record);

    int updateByPrimaryKey(WorkingHours record);


    List<WorkingHours> selectList();

    WorkingHours selectBydepId(@Param("depId")String depId);

    List<WorkingHours> getTypeCount(Integer type);

    int getDepTypeCount(Integer id);
}
